# RSS to HTML converter
# Copyright (C) 2015  Harald Eilertsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

module Rss2Html
  class FeedItem
    attr_reader :title, :author, :date, :summary, :url

    def initialize(item)
      @title = item.title.content
      @author = item.author.name.content
      @date = item.updated.content
      @summary = item.summary.content.strip
      @url = URI.parse(item.link.href)
    end
  end
end
